JGraph X 1.3.0.0

## com.mxgraph.util
Class mxCellRenderer.CanvasFactory

    java.lang.Object
      com.mxgraph.util.mxCellRenderer.CanvasFactory

Enclosing class:
  mxCellRenderer

    public abstract static class mxCellRenderer.CanvasFactory

extends java.lang.Object

Constructor Summary
`mxCellRenderer.CanvasFactory()`

Method Summary
`abstract mxICanvas` `createCanvas(int width, int height)` Separates the creation of the canvas from its initialization, when the size of the required graphics buffer / document / container is known.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxCellRenderer.CanvasFactory

    public mxCellRenderer.CanvasFactory()

Method Detail

### createCanvas

    public abstract mxICanvas createCanvas(int width,
                                           int height)

  Separates the creation of the canvas from its initialization, when the size of the required graphics buffer / document / container is known.

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.